Bug 848577 (CVE-2012-4293) - CVE-2012-4293 wireshark: premature exit in EtherCAT Mailbox dissector (wnpa-sec-2012-22)
Summary: CVE-2012-4293 wireshark: premature exit in EtherCAT Mailbox dissector (wnpa-s...
Status: CLOSED ERRATA
Alias: CVE-2012-4293
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120815,reported=2...
Keywords: Security
Depends On: 848593
Blocks: 848592
TreeView+ depends on / blocked
 
Reported: 2012-08-15 21:41 UTC by Vincent Danen
Modified: 2015-08-19 09:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 16:32:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2012-08-15 21:41:32 UTC
It may be possible to make Wireshark exit prematurely by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affects 1.4.0 to 1.4.14, 1.6.0 to 1.6.9, 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2, 1.6.10, and 1.4.15 versions.

http://www.wireshark.org/security/wnpa-sec-2012-22.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7562
http://anonsvn.wireshark.org/viewvc?view=revision&revision=43149

Comment 1 Vincent Danen 2012-08-15 22:11:20 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 848593]

Comment 2 Huzaifa S. Sidhpurwala 2012-08-20 04:33:55 UTC
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 3 Fedora Update System 2012-08-27 22:55:45 UTC
wireshark-1.6.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2012-08-27 23:05:31 UTC
wireshark-1.6.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.